Overview | Package | Class | Tree | Deprecated | Index | Help
| © 2002 BEA Systems, Inc.
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: INNER | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD

## examples.e2e.b2b
Class DoubleMinMaxExpression

    java.lang.Object
      |
      +--examples.e2e.b2b.DoubleMinMaxExpression

public class DoubleMinMaxExpression
extends java.lang.Object

`DoubleMinMaxExpression` is used in conjunction with `DoubleValueValidator` to specify the minimum and maximum allowed values for a java `double` value.

See Also:
  `DoubleValueValidator`

Constructor Summary
`DoubleMinMaxExpression()` Constructs a `DoubleMinMaxExpression` where the minimum value is `java.lang.Double.MIN_VALUE` and the maximum value is `java.lang.Double.MAX_VALUE`.
`DoubleMinMaxExpression(double min, double max)` Constructs a `DoubleMinMaxExpression` with the specifed minimum and maximum values.

Method Summary
`double` | `max()` Obtain the maximum value for this expression.
`double` | `min()` Obtain the minimum value for this expression.
`DoubleMinMaxExpression` | `set(double min, double max)` Set the minimum and maximum values for this expression.
`void` | `setMax(double max)` Set the maximum value for this expression.
`void` | `setMin(double min)` Set the minimum value for this expression.

Methods inherited from class java.lang.Object
`clone, equals, finalize, getClass, hashCode, notify, notifyAll, toString, wait, wait, wait`

Constructor Detail

### DoubleMinMaxExpression

    public DoubleMinMaxExpression()

  Constructs a `DoubleMinMaxExpression` where the minimum value is `java.lang.Double.MIN_VALUE` and the maximum value is `java.lang.Double.MAX_VALUE`.

### DoubleMinMaxExpression

    public DoubleMinMaxExpression(double min,
                                  double max)

  Constructs a `DoubleMinMaxExpression` with the specifed minimum and maximum values.

  Parameters:
    `min` - the minimum value for the expression.
    `max` - the maximum value for the expression.

Method Detail

### min

    public double min()

  Obtain the minimum value for this expression.

### max

    public double max()

  Obtain the maximum value for this expression.

### setMin

    public void setMin(double min)

  Set the minimum value for this expression.

### setMax

    public void setMax(double max)

  Set the maximum value for this expression.

### set

    public DoubleMinMaxExpression set(double min,
                                      double max)

  Set the minimum and maximum values for this expression.

Overview | Package | Class | Tree | Deprecated | Index | Help
| © 2002 BEA Systems, Inc.
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: INNER | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD

Copyright © 2002 BEA Systems, Inc. All Rights Reserved